<?php
namespace Drupal\file_to_s_three\Plugin\Field\FieldFormatter;
use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'sthree_formatter' formatter.
 *
 * @FieldFormatter(
 *   id = "sthree_formatter",
 *   label = @Translation("Upload widget"),
 *   field_types = {
 *     "sthree"
 *   }
 * )
 */
 
 class UploadFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function settingsSummary() {
    $summary = [];
    $summary[] = $this->t('Displays upload file field.');
    return $summary;
  }
  /**
  * {@inheritdoc}
  */
  public static function defaultSettings() {
    return [
      // Declare a setting named 'text_length', with
      // a default value of 'short'
      'text_length' => 'short',
     ] + parent::defaultSettings();
  }
  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    // Make an array of column names.
    $column_names = [];
    foreach ($items as $item) {
      $column_names[] = $item->entity->field_column_name->value;
    }
    // Theme a list of the column names.
    $list = [
      '#theme' => 'item_list',
      '#list_type' => 'ul',
      '#items' => $column_names,
      '#empty' => $this->t('None'),
    ];
    // Create the element.
    $element = [];
    $element[] = $list;
    return $element;
  }
 } 